#!/usr/bin/python
# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2010 <Rick Spencer> <rick.spencer@canonical.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import gtk
import pygst
import gst
import gettext
import gtk

from gettext import gettext as _
gettext.textdomain('simple-sounds')

class SoundButton(gtk.Button):
    def __init__(self, title, file_path):
        gtk.Button.__init__(self, title)
        self.connect("pressed", self.start_sound)
        self.connect("released", self.stop_sound)
        self.file_path = file_path

    def start_sound(self, widget, data=None):
		self.player = gst.element_factory_make("playbin2", "player")
		fakesink = gst.element_factory_make("fakesink", "fakesink")
		self.player.set_property("video-sink", fakesink)
        self.player.set_property("uri", self.file_path)
        self.player.set_state(gst.STATE_PLAYING)

    def stop_sound(self, widget, data=None):
        self.player.set_state(gst.STATE_NULL)

